package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CountrysideHarmlessWc;
import com.lightinit.hsdatashow.entity.CountrysideHarmlessWcExample;
import java.util.List;

import com.lightinit.hsdatashow.entity.GarbageRegionExample;
import com.lightinit.hsdatashow.model.ms.GreenModel;
import org.apache.ibatis.annotations.Param;

public interface CountrysideHarmlessWcMapper {
    long countByExample(CountrysideHarmlessWcExample example);

    int deleteByExample(CountrysideHarmlessWcExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CountrysideHarmlessWc record);

    int insertSelective(CountrysideHarmlessWc record);

    List<CountrysideHarmlessWc> selectByExample(CountrysideHarmlessWcExample example);

    CountrysideHarmlessWc selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CountrysideHarmlessWc record, @Param("example") CountrysideHarmlessWcExample example);

    int updateByExample(@Param("record") CountrysideHarmlessWc record, @Param("example") CountrysideHarmlessWcExample example);

    int updateByPrimaryKeySelective(CountrysideHarmlessWc record);

    int updateByPrimaryKey(CountrysideHarmlessWc record);

    List<GreenModel> selectList(GarbageRegionExample example);

    long selectCount(GarbageRegionExample example);

    GreenModel findByForestId(Long id);
}